# Spawn Selector

{% hint style="info" %}
Configure the spawn locations of spawn selector&#x20;
{% endhint %}

```lua
Config.SpawnPoints = {
    {
        id = 1,
        name = 'Ginger Street',
        icon = 'faMapMarkerAlt',
        coordinates = vector4(-693.5114, -612.4589, 32.1437, 187.6499),
        camPos = vector3(-693.45037841797, -615.56805419922, 32.674612045288),
        camRot = vector3(-26.700008392334, 4.0020637470661e-07, -0.60790181159973),
        camZoom = 43.0,
        description = 'A bustling urban area with shops, parks, and offices.',
        animation = {
            dict = "friends@frj@ig_1",
            anim = "wave_b",
        },
    },
    {
        id = 2,
        name = 'Barbareno Road',
        icon = 'faUmbrellaBeach',
        coordinates = vector4(-3256.8062, 982.6414, 12.6057, 286.7576),
        camPos = vector3(-3255.3308105469, 984.61151123047, 12.691067695618),
        camRot = vector3(0.0, -0.0, 115.55870819092),
        camZoom = 50.0,
        description = 'A sunny beach with golden sand and clear waters.',
        animation = {
            scenario = "WORLD_HUMAN_SMOKING_POT"
        },
    },
    {
        id = 3,
        name = 'Metro Airport',
        icon = 'faMountain',
        coordinates = vector4(-1038.2130, -2738.1230, 20.1693, 333.0063),
        camPos = vector3(-1035.69921875, -2733.951171875, 20.169271469116),
        camRot = vector3(0.0, -0.0, 150.8468170166),
        camZoom = 40.0,
        description = 'A modern airport with international flights.',
        animation = {
            scenario = "WORLD_HUMAN_SMOKING_POT"
        },
    },

    {
        id = 4,
        name = 'Corte Wilderness',
        icon = 'faTree',
        coordinates = vector4(-509.6065, 5894.6562, 32.9207, 317.8597),
        camPos = vector3(-506.58023071289, 5895.4575195312, 33.920745849609),
        camRot = vector3(0.0, -0.0, 137.58866882324),
        camZoom = 45.0,
        description = 'A tranquil wilderness retreat, trees and wildlife.',
        animation = {
            scenario = "WORLD_HUMAN_YOGA"
        },
    }
}
```

#### To add new spawn selector position just copy and paste the previous table

```lua
 {
        id = 5, -- this needs to be changed two positications cant have same id's
        name = 'New position',
        icon = 'faTree', 
        coordinates = vector4(-509.6065, 5894.6562, 32.9207, 317.8597),
        camPos = vector3(-506.58023071289, 5895.4575195312, 33.920745849609),
        camRot = vector3(0.0, -0.0, 137.58866882324),
        camZoom = 45.0,
        description = 'new description for this new position.',
        animation = {
            scenario = "WORLD_HUMAN_YOGA" -- animation that will be playing by the ped when location is loaded
        },
   }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arius-scripts.com/site/documentation/resources/multicharacter/configuration/spawn-selector-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
